SLI-API(2016-11-11)
- GET /config/SLI-API:test-results/
returns sli.api.TestResults
- Status Codes:
200 OK – sli.api.TestResults
400 Bad Request – Internal error
- Response JSON Object:
test-result[].results[] (string)
test-result[].test-identifier (string)
- POST /config/SLI-API:test-results/
creates sli.api.TestResults
- Request JSON Object:
test-result[].results[] (string)
test-result[].test-identifier (string)
- Status Codes:
201 Created – Object created
400 Bad Request – Internal error
409 Conflict – Object already exists
- PUT /config/SLI-API:test-results/
creates or updates sli.api.TestResults
- Request JSON Object:
test-result[].results[] (string)
test-result[].test-identifier (string)
- Status Codes:
201 Created – Object created
204 No Content – Object modified
400 Bad Request – Internal error
- DELETE /config/SLI-API:test-results/
removes sli.api.TestResults
- Status Codes:
204 No Content – Object deleted
400 Bad Request – Internal error
- POST /config/SLI-API:test-results/SLI-API:test-result/
creates sli.api.testresults.TestResult
- Request JSON Object:
results[] (string)
test-identifier (string)
- Status Codes:
201 Created – Object created
400 Bad Request – Internal error
409 Conflict – Object already exists
- GET /config/SLI-API:test-results/SLI-API:test-result/{test-identifier}/
returns sli.api.testresults.TestResult
- Parameters:
test-identifier (string) – Id of test-result
- Status Codes:
200 OK – sli.api.testresults.TestResult
400 Bad Request – Internal error
- Response JSON Object:
results[] (string)
test-identifier (string)
- POST /config/SLI-API:test-results/SLI-API:test-result/{test-identifier}/
creates sli.api.testresults.TestResult
- Parameters:
test-identifier (string) – Id of test-result
- Request JSON Object:
results[] (string)
test-identifier (string)
- Status Codes:
201 Created – Object created
400 Bad Request – Internal error
409 Conflict – Object already exists
- PUT /config/SLI-API:test-results/SLI-API:test-result/{test-identifier}/
creates or updates sli.api.testresults.TestResult
- Parameters:
test-identifier (string) – Id of test-result
- Request JSON Object:
results[] (string)
test-identifier (string)
- Status Codes:
201 Created – Object created
204 No Content – Object modified
400 Bad Request – Internal error
- DELETE /config/SLI-API:test-results/SLI-API:test-result/{test-identifier}/
removes sli.api.testresults.TestResult
- Parameters:
test-identifier (string) – Id of test-result
- Status Codes:
204 No Content – Object deleted
400 Bad Request – Internal error
- GET /operational/SLI-API:test-results/
returns sli.api.TestResults
- Status Codes:
200 OK – sli.api.TestResults
400 Bad Request – Internal error
- Response JSON Object:
test-result[].results[] (string)
test-result[].test-identifier (string)
- GET /operational/SLI-API:test-results/SLI-API:test-result/{test-identifier}/
returns sli.api.testresults.TestResult
- Parameters:
test-identifier (string) – Id of test-result
- Status Codes:
200 OK – sli.api.testresults.TestResult
400 Bad Request – Internal error
- Response JSON Object:
results[] (string)
test-identifier (string)
- POST /operations/SLI-API:execute-graph/
- Status Codes:
200 OK – Correct response
201 Created – No response
400 Bad Request – Internal error
- Response JSON Object:
output.ack-final-indicator (string)
output.context-memory-json (string)
output.response-code (string)
output.response-message (string)
- POST /operations/SLI-API:healthcheck/
- Status Codes:
200 OK – Correct response
201 Created – No response
400 Bad Request – Internal error
- Response JSON Object:
output.ack-final-indicator (string)
output.context-memory-json (string)
output.response-code (string)
output.response-message (string)
- POST /operations/SLI-API:vlbcheck/
- Status Codes:
200 OK – Correct response
201 Created – No response
400 Bad Request – Internal error
- Response JSON Object:
output.ack-final-indicator (string)
output.context-memory-json (string)
output.response-code (string)
output.response-message (string)